Novell is now a part of Micro Focus

Security update for Perl

Knowledgebase

(Last modified: 02OCT2002)


solutions Security update for Perl SuSE Linux Maintenance Web (570bbd830b7ea4f90adbb4a397721b3c)

Applies to

Product(s): SuSE Linux Admin-CD for Firewall
SuSE Linux Enterprise Server 7 for IBM zSeries
SuSE eMail Server III
SuSE Linux Enterprise Server 7 for PowerPC
SuSE Linux Enterprise Server 7 for IA32
SuSE Linux Enterprise Server 7 for IA64
SuSE Linux Enterprise Server 7 for S/390 and zSeries
SuSE eMail Server 3.1
SuSE Linux Office Server
SuSE Firewall Adminhost VPN
SuSE Linux Connectivity Server

Package: perl
Release: 20021002
Obsoletes: none

Indications

Everyone should install this patch.

Contraindications

None.

Problem description

The globbing code of the Perl interpreter (File::Glob) contains buffer overflows which could be triggered by certain programming constructs within the Perl script. Since we do not install vulnerable setuid Perl or CGI scripts we consider this bug not very critical. However, if you are using CGI scripts written in Perl, we recommend an update.

Solution

Please install the updates provided at the location noted below.

Installation notes

This update is provided as an RPM package that can easily be installed onto a running system by using this command:
rpm -Uvh perl.rpm

links to download packages

Download Source Packages

Download the source code of the patches for maintained products.


Disclaimer

The Origin of this information may be internal or external to Novell. Novell makes all reasonable efforts to verify this information. However, the information provided in this document is for your information only. Novell makes no explicit or implied claims to the validity of this information.

Any trademarks referenced in this document are the property of their respective owners. Consult your product manuals for complete trademark information.

© Micro Focus